Subject: Re: [MBONED] RFC 8487 port assignment

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 5 Mar 2019 19:57:56 +0000

Hi Hitoshi

Did any thoughts on my previous email please? 

Regards

Hooman

-----Original Message-----
From: Bidgoli, Hooman (Nokia - CA/Ottawa) 
Sent: Monday, February 18, 2019 11:43 AM
To: Hitoshi Asaeda <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [MBONED] RFC 8487 port assignment

Hi Hitoshi

Thank you for your replay!

For unix a range of ports are assigned not just a single port...

33434-33523  udp traceroute incoming traceroute - under Unix-like operating systems, the traceroute utility uses User Datagram Protocol (UDP) datagrams with destination port numbers from 33434 to 33534 by default. Under Windows, the tracert command sends ICMP requests.

I would imagine the unix traceroute would be implemented in most routers out there and mtrace v2 port 33435 is in its range. If within the software we assign port 33435 to mtrace v2 then unix trace route will fail, as unix will send a its 2nd traceroute packet with udp port 33435 and will not get a response because in software it is assigned to mtrace v2 now. This is what we are seeing currently.

I am not sure how to go around this overlap in software.

Regards

Hooman

-----Original Message-----
From: Hitoshi Asaeda <[email-masked]> 
Sent: Monday, February 18, 2019 12:07 AM
To: Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [MBONED] RFC 8487 port assignment

Dear Hooman,

Sorry for late response.

I checked IANA assignments.
Port 33435 is assigned for Mtrace v2 (UDP) and "reserved" for TCP traceroute.
Port 33434 is assigned for TCP and UDP traceroute.
I don't know why 33435 is separately "reserved", but since 33434 is officially assigned for traceroute (for both TCP and UDP), why 33435 is needed for unicast traceroute, and why linux uses it?
Moreover, although "TCP" port 33435 is "reserved", "UDP" port 33435 is only assigned for Mtrace v2.
There isn't any contradiction for the 33435 port assignment, IMO.

Regards,

Hitoshi

> On Feb 9, 2019, at 6:00, Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]> wrote:
> 
> Resending, including the entire WG to consider below questions…
>  
> Regards
>  
> Hooman
>  
> From: Bidgoli, Hooman (Nokia - CA/Ottawa) 
> Sent: Friday, February 1, 2019 4:42 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RFC 8487 port assignment 
>  
> Dear all
>  
> IANA has assigned port 33435 for RFC 8487 mtracev2 this port also coincides with Linux unicast traceroute. Actually if you look at this UDP port in IANA you will see it for both unix trace route and mtracev2.
>  
> Would this cause some issues from implementation point of view? Do we need to reconsider the port to be outside of Linux traceroute port range?
> 
> Regards
>  
> Hooman
>  
>  
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned